commit 30bf5a6bb20b8ad703f305bcde0ade2a99328b6c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jun 28 10:38:27 2011 +1000

    penmount 1.5.0
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f0158bd0eb8efe2e051bb00d98d17b6071224062
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jun 28 10:37:53 2011 +1000

    Require server 1.10 instead of manual ABI checks
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 6658e9ad22923e8bb90ff84c079e870a8e416976
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Dec 2 14:34:06 2010 +1000

    Support (and require) input ABI 12.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit 55f9e93bb67bda172de9ba71c465d2fbd0a80410
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Dec 2 14:33:11 2010 +1000

    Move default_options up
    
    no functional changes, prep work for ABI 12
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit 79c7b3641c9b42ff13c0472707d20133707aa96f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Dec 2 14:30:08 2010 +1000

    Add TS_Raw and TS_Scaled defines
    
    The use of these is driver-internal, they used to be in the server but not
    since ABI 12.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit 4ac7e6e92ae7ae935b1a79aaa63a0343bb6ed08d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Dec 2 14:29:23 2010 +1000

    Drop driver-specific motion history size handling.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit ad6785f44be7d5bc6ba27ea3e05a688d9b672ddd
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Dec 2 14:23:40 2010 +1000

    Drop write-only flags POINTER_CAPABLE and SEND_DRAG_EVENTS
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit 0fbd6613c9eb7fbf1e820982551380652e040233
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Dec 2 14:23:07 2010 +1000

    Drop close_proc, conversion_proc.
    
    Both aren't called by the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit 84fc05ccc0a0477d9e11eb3486d1a64735ae7050
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Dec 2 14:20:05 2010 +1000

    Fix compiler warning, unused variable "map".
    
    xf86PM.c: In function 'DeviceControl':
    xf86PM.c:530:16: warning: unused variable 'map'
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit f2bd17021c5efb9118b813a6586da423aa5d2f4d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Dec 2 14:19:20 2010 +1000

    Drop libc wrappers for free, malloc
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit 22cd19a9e91fcd722cc30a3b8d21725512169219
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Dec 2 14:17:38 2010 +1000

    unifdef XFree86LOADER
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit f3c472b4b5596685c1c094a51876dcc06be3a968
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Dec 2 14:17:24 2010 +1000

    Require server 1.9, drop earlier ABI support
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit 8d4b4b7a827d9dd48d598c39ba5d3229dc45d3d4
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Dec 2 14:22:16 2010 +1000

    Purge CVS tags
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 68a9e64e780f2ac01a6e6700e271dcaebe7f7e86
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Dec 2 14:15:56 2010 +1000

    Bump to 1.4.99
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit af7e7c0aa603b67b12e4046bcda9bc58026cd82b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Oct 27 22:21:20 2010 -0700

    Remove refcnt field from InputDriverRec.
    
    Wasn't used in the server and is now removed.
    
    Fixes compiler error:
      "xf86PM.c", line 59: too many struct/union initializers
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 63d1539957f1618af8ebca520f61ca712070d950
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 18 19:39:08 2010 -0400

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    Use the appropriate platform version of sed
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 6dab63a36c5b89fa2de1128538b88e2bbce9a34c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Apr 12 13:36:10 2010 -0400

    config: disable inadvertently re-enabled static library creation
    
    AC_DISABLE_STATIC must be places before AC_PROG_LIBTOOL,
    requirement which is not documented in libtool.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a1d3a8a54d96b23adf1dd819726e80be1bc0eebb
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Mar 6 09:03:20 2010 -0500

    config: remove unused sdkdir variable
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 5902c15cac1ee0c163256e132f85b8720aed845e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Mar 5 11:57:47 2010 -0500

    Configuration upgrades, .gitignore, INSTALL file
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 3bc3d1245676f6022fd3db48eb3e7f3b66c7561f
Author: Julien Cristau <jcristau@debian.org>
Date:   Wed Mar 3 23:41:39 2010 +0100

    Bump to 1.4.1

commit a6fedb3d2fd0288283602fef14f2a0a460b2afef
Author: Julien Cristau <jcristau@debian.org>
Date:   Wed Mar 3 23:48:33 2010 +0100

    Don't use obsolete loader functions

commit 1d6ba7c8c8c7183569f9dc708090f36de8b6bdd6
Author: Julien Cristau <jcristau@debian.org>
Date:   Wed Mar 3 23:40:11 2010 +0100

    Janitorial configure.ac/Makefile.am updates
    
    Use XORG_DEFAULT_OPTIONS and update ChangeLog rule to work with newer
    git.  Also set AM_CFLAGS in Makefile.am instead of setting CFLAGS from
    configure.ac.

commit dab0c2742c034750e3e9673167eb20812b679818
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Jul 17 13:59:43 2009 +1000

    Cope with XINPUT ABI 7.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit fedbe483260a4bc8e2cc77e7d6a543ba37170448
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon May 11 20:04:51 2009 -0700

    Fill in COPYING file, add SubmittingPatches URL to README

commit b5a8cdbd73939aa62cf3ae08957db67c65e6b51f
Author: Steve Bian <s@pictorii.com>
Date:   Sun Jan 18 23:33:52 2009 +1100

    Added InvertX option
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 0536f70861f11192820439d36de951ef106d4e5e
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Feb 19 16:32:32 2009 +1000

    penmount 1.4.0

commit ae5faa7a024cf63b766b916ef09adf3e66d1a170
Author: mjs <mjs@core7.eu>
Date:   Tue Feb 17 01:48:43 2009 +0100

    Add DMC9512 support #19885
    
    Add new value for the ControllerModel option because we can not auto-detect it (looks like a DMC8910).
    The only relevant difference between the DMC8910 and DMC9512 is the device initialization.
    
    Signed-off-by: mjs <mjs@core7.eu>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ec3379232341ea024b6fb2b612733fdb99537c5e
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 30 20:28:40 2009 -0800

    Add README with pointers to mailing list, bugzilla & git repos

commit 0627c2743471791f57fe8b8e96d7df3db676aca9
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 9 16:22:15 2009 -0800

    Remove xorgconfig & xorgcfg from See Also list in man page

commit e94c776512adba9398a01406e630271cf912bf21
Author: Arrigo Marchiori <ardovm@yahoo.it>
Date:   Thu Nov 20 09:57:34 2008 +1000

    Fix y axis inversion for axis ranges with a non-zero minimum.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@redhat.com>

commit d112cca181b9fc9586391e83b8c0ff26ca22ff9e
Author: Steve Bian <s@pictorii.com>
Date:   Tue Sep 23 20:43:23 2008 +0930

    Init axes according to configuration.
    
    When reporting mode is TS_Raw since we do no scaling, it will just be the
    values in xorg.conf. If however reporting mode is TS_Scaled however,
    xf86ScaleAxis will return a value between 0 screen_width/screen_height, so we
    must setup the axis accordingly or there will be strange behaviour
    
    Signed-off-by: Peter Hutterer <peter.hutterer@redhat.com>

commit 22fca7467a943539b44a520a7b9d827508f01538
Author: Steve Bian <s@pictorii.com>
Date:   Tue Sep 23 20:42:33 2008 +0930

    InvertY should be disabled by default.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@redhat.com>

commit 8a9ff94e3db692736f86d52e569f65f6f363b0e0
Author: Arrigo Marchiori <ardovm@yahoo.it>
Date:   Sun Jun 22 18:00:57 2008 +0930

    Fix scaling behaviour if the axes are swapped. #13535
    
    First swapping, then inverting and scaling. I think it's the most
    intuitive solution to the problem, because it makes minX, maxX & co. act on
    the _actual_ X and Y axes, from the user/developer point of view.
    
    Signed-off-by: Peter Hutterer <peter@cs.unisa.edu.au>
    
    X.Org Bug 13535 <http://bugs.freedesktop.org/show_bug.cgi?id=13535>

commit 5e1c22ff2c21cd20b204394731e2ad8ce1980091
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Mon May 26 22:19:12 2008 +0930

    Check for XINPUT ABI 3.

commit d66c0b070d6a80b7b5d98cf364149fbc2df81fac
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Mar 20 16:40:15 2008 -0400

    penmount 1.3.0

commit 600e029c61c012c7a7eb1075a805fbc01681962a
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Wed Jan 30 17:37:28 2008 -0200

    Don't call xf86XInputSetSendCoreEvents.
    
    Only call that function if GET_ABI_MAJOR(ABI_XINPUT_VERSION) == 0.

commit db7b7d03a7e9136badf994c218cd137b59a376c2
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Mon Sep 10 19:05:02 2007 +0200

    Added man/penmount.? to .gitignore.

commit 564d77fc97015fe5ae1dd7baf643524ad32ba19d
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Mon Sep 10 19:04:08 2007 +0200

    Bumped version to 1.2.1.

commit 45808497336a336ed76450fbe8279f0e6a7d5a4d
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:   Mon Sep 10 19:03:30 2007 +0200

    Generate ChangeLog from git.

commit 395e77e359d7d95e57116e70393ddba8d753efcc
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Sep 3 05:52:21 2007 -0400

    Add *~ to .gitignore to skip patch/emacs droppings

commit 4f886668127dad7f561334459cd9723f9af93103
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Aug 23 19:25:36 2007 -0400

    Rename .cvsignore to .gitignore

commit 960f0207a4845b489a1c1ca9823821047722585d
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Aug 8 01:09:31 2007 +0300

    Convert from TSCalibrationCtl to AbsCalibCtl

commit 7810e0bb438525c005f66a9bc5cc0af489fa08a1
Author: Drew Parsons <dparsons@debian.org>
Date:   Thu Jun 14 21:52:28 2007 +1000

    Update version using PACKAGE_VERSION_*

commit 5b785515ddbf7e799a1a32b9957195966a5cd513
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sat Jun 3 09:35:42 2006 +0000

    Bug #4495: Add DMC9000 support. (Jaya Kumar). Bump to 1.2.0.

commit f661f8975ff3940d8bff03e4090f235fe18a682e
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Apr 7 18:06:50 2006 +0000

    Unlibcwrap. Bump server version requirement. Bump to 1.1.0.

commit 68ee6b856239014ce271102d63431bedf99f3f4e
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:29:58 2005 +0000

    Update package version for X11R7 release.

commit dff9657264aa0a54452bfdd2391af8336cd1d424
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:25:51 2005 +0000

    Stub COPYING files

commit 5b6dcc48d42c63cf77daf51c7d50f1a47deedf4a
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:15 2005 +0000

    Update package version number for final X11R7 release candidate.

commit 84251ccbe8c60a1526ff62290946071df87fd137
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:31 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit 1d6b5856c1f4c8aff95feba1670fd689b2e13fe4
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:31 2005 +0000

    Update package version number for X11R7 RC3 release.

commit 94ffe20ab22ea7316eb29b96e9a9d8d0d8e9a1f1
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Dec 2 02:16:06 2005 +0000

    Remove extraneous AC_MSG_RESULT.

commit dbec007fe040b83b4e8a9d2ecde42c61fd230de9
Author: Adam Jackson <ajax@nwnk.net>
Date:   Tue Nov 29 23:29:57 2005 +0000

    Only build dlloader modules by default.

commit 2d0449c9e99654dcd52968137bb38c7022efc24e
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:04:07 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit 9576737f2a5e32804a138cab956ee6aa0f805bd7
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:49:07 2005 +0000

    Add .cvsignores for drivers.

commit cad99fd68ed79009fe4f17b09c0f8bbd5c152a0b
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:15:13 2005 +0000

    Update package version number for X11R7 RC2 release.

commit 7d8b7d1f3c8ff4c9a9b36e20da8b5cdb4ba49066
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Nov 1 15:08:51 2005 +0000

    Update pkgcheck depedencies to work with separate build roots.

commit be3d4203d254b2778b0f5c12fb08e4943b93198a
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:48:01 2005 +0000

    Update package version number for RC1 release.

commit fe5c2db4f8a4cc83403d64e290bb3c6dda77ea1f
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Oct 18 00:01:52 2005 +0000

    Use @DRIVER_MAN_SUFFIX@ instead of $(DRIVER_MAN_SUFFIX) in macro
        substitutions to work better with BSD make

commit a0bf43dda49ed89eb9f46e9e85b0dc1d77d6555c
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Oct 17 22:57:30 2005 +0000

    More 1.7 braindamage: define EXTRA_DIST in terms of @DRIVER_NAME@ instead
        of indirectly

commit 65e6fa25c2ce5f11008d20b8ed0dd67232c8c3b8
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 00:09:00 2005 +0000

    Use sed & cpp to substitute variables in driver man pages

commit b2285b3290f68584044c8b475d358916051c783a
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Aug 18 09:03:40 2005 +0000

    Update autogen.sh to one that does objdir != srcdir.

commit 869663ad207b3975a37d9c4ebc671afa51cc85dd
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Wed Aug 10 14:07:24 2005 +0000

    Don\'t lose existing CFLAGS in all the input drivers and some of the video
        drivers

commit af1694382dd22d3e060d57a3f7904e0cbd96e8a0
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:41 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit ce9805fa17620f95049a6337b9237a6c0df55253
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Jul 13 20:03:23 2005 +0000

    Make the module dir configurable

commit 69ea32f73ddd3304679e2275fce17a0de3ee9e17
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Jul 13 02:21:02 2005 +0000

    Update all input drivers to pass distcheck

commit db7a0e403e949fff010941a0bb71737ae4e1f3ac
Author: Adam Jackson <ajax@nwnk.net>
Date:   Tue Jul 12 06:15:09 2005 +0000

    Build skeletons for input drivers. Should basically work.

commit 39bd1d974266114c2110c8fd14a8e98cb40862c6
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Jul 11 02:38:00 2005 +0000

    Prep input drivers for modularizing by adding guarded #include "config.h"

commit 6cbcf72a9ea4340af320554fd64a692025744d19
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sat Jun 25 21:17:02 2005 +0000

    Bug #3626: _X_EXPORT tags for video and input drivers.

commit 2e05fc0dce5ddbbabaac4795152d2296a1167941
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:54:05 2004 +0000

    Merging XORG-CURRENT into trunk

commit e6ad5c52b96444c15f499a6c119d55ba0b779efc
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:33:52 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit d3e15e8f0a6f2449977228a2b711047529dc501c
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:12:34 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit eb77df0294796b6a13edadc376309d2f486bb6a7
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:36:00 2004 +0000

    readding XFree86's cvs IDs

commit 0ab885c5a0cce8734fd1343eef892c2d3b1f4c74
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:23:34 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit a872db7cd08ffa3406cdcf4c7052c558f6b30335
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:56 2003 +0000

    XFree86 4.3.0.1

commit dfee8a2321bf8c77a14ffbc4a74e11dff7fdb54c
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:56 2003 +0000

    Initial revision
